Subject: bug#12893: 24.2.50; url-retrieve fails for localhost

From: Juliusz Chroboczek <[email-masked]>
Date: Sun, 13 Jul 2014 18:59:51 +0200

> If I evaluate (switch-to-buffer (url-retrieve-synchronously
> "http://localhost:24959/classes")), it brings me to an empty buffer
> which has "failed" in the mode line.
[...]
> Strangely, it works if I replace "localhost" with "127.0.0.1" or even
> "localhost.localdomain". But neither Firefox nor curl have a problem
> with reading from the first version of the URL.

This might be a duplicate of #17976.  If localhost points at both ::1 and
127.0.0.1, then attempting to connect localhost will first try the IPv6,
and if the server is only listening on IPv4, it will trigger #17976.

-- Juliusz